Bug 269210 - [JDK9] Suggest to add module dependency on unknown import
[JDK9] Suggest to add module dependency on unknown import
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Hints
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-02 08:13 UTC by Svata Dedic
Modified: 2017-08-30 02:23 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2016-12-02 08:13:55 UTC
When an import statement references an unknown class, suggest to add a module to the module path to allow class access. Classes from referenced projects and the platform should be offered.
Comment 1 Svata Dedic 2017-08-28 10:16:26 UTC
Implemented as jet-main#bff4f99d4b2f
Comment 2 Quality Engineering 2017-08-30 02:23:11 UTC
Integrated into 'main-silver', will be available in build *201708300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/bff4f99d4b2f
User: Svata Dedic <sdedic@netbeans.org>
Log: #269210: module directive optionally added when importing class


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo